<script setup lang="ts">
withDefaults(
  defineProps<{
    imageUrl: string;
    backgroundColor?: string;
    isActive: boolean;
  }>(),
  { backgroundColor: 'sdg-light-blue' }
);
</script>

<template>
  <div class="image-flipper relative rounded-full w-36 h-36" :class="{ active: isActive }">
    <img :src="imageUrl" class="image shadow-md shadow-gray-200 relative h-full w-full rounded-full duration-1000 object-cover" />
    <div class="backside absolute top-0 left-0 w-full h-full rounded-full duration-1000 bg-sdg-light-blue"></div>
  </div>
</template>

<style scoped>
.image-flipper .backside {
  transform: rotateY(0deg);
  backface-visibility: hidden;
}
.image-flipper.active .backside {
  transform: rotateY(180deg);
}
.image-flipper .image {
  transform: perspective(1000px) rotateY(180deg);
  backface-visibility: hidden;
}
.image-flipper.active .image {
  transform: perspective(1000px) rotateY(0deg);
}
</style>
